---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/HO/04_Gazebo/Animations/Bg/"
---------------------------------------------------------------------------------------
createCompositioneye_in_hole_idle = nil
---------------------------------------------------------------------------------------
createCompositioneye_in_hole_idle = function()
	local compositioneye_in_hole_idle = CreateCompositionSequence()
	local compositionDuration = 8
	compositioneye_in_hole_idle:setDuration(compositionDuration)
	compositioneye_in_hole_idle:setName("compositioneye_in_hole_idle" )
	compositioneye_in_hole_idle:setBoundingBox( Rectanglef(0, 0, 32,16) )
 
	local element
	local effector
 
	-- Layer eye_in_hole.png/1
	element = CreateCompositionElement(PREFIX_PATH.."eye_in_hole.png")
	element:setName("eye_in_hole.png/1")
	compositioneye_in_hole_idle:addElement(element)
	element:setHotSpot(9, 5)
	element:setParentElement(compositioneye_in_hole_idle)
	element:setXY(16.5, 7.75)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 0.83333333333333, 0)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.95833333333333, 0)
	effector:setKey(_TRACK_O, 4.95833333333333, 1)
	effector:setKey(_TRACK_O, 5.45833333333333, 0)
	effector:setKey(_TRACK_O, 5.75, 1)
	effector:setKey(_TRACK_O, 6, 0)
	effector:setKey(_TRACK_O, 6.83333333333333, 1)
	effector:setKey(_TRACK_O, 7.95833333333333, 0)
	effector:play()
 
	compositioneye_in_hole_idle:play()
 
	return compositioneye_in_hole_idle
end
 
